commit:     123229a3a74b98e780ef64a8cbbec1820dd23f82
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 24 23:59:07 2019 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Mon Mar 25 00:06:59 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=123229a3

dev-python/oslo-db: remove pike/queens

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 dev-python/oslo-db/Manifest              |  1 -
 dev-python/oslo-db/oslo-db-4.33.1.ebuild | 62 --------------------------------
 2 files changed, 63 deletions(-)

diff --git a/dev-python/oslo-db/Manifest b/dev-python/oslo-db/Manifest
index b040ec0ea91..860c0912726 100644
--- a/dev-python/oslo-db/Manifest
+++ b/dev-python/oslo-db/Manifest
@@ -1,2 +1 @@
-DIST oslo.db-4.33.1.tar.gz 169088 BLAKE2B 
e386d8c71669569256d88e2ad654e017dfae5cfc0635fa7c7f9e41a11d7114f6f7d0e826a6855113f8e672d5e57ed8b645e8c6d3a54c30aa78d45e53894fe8bf
 SHA512 
b627bef035c13aa32afded20ff1e5198bc94d5ce96384c7eff44992d7f5c7178bb5e9ae398c53a04be6f280f433c688ae28fa72d6c617fc7c9299bd7c6a02eff
 DIST oslo.db-4.40.0.tar.gz 171545 BLAKE2B 
34172325f99938595b36cbbabea421f8e51f8c5916a908ade56a2cd072ea532ec08b884c2ee74481f3651855f9c1432be145df3689569b06a6597e9eb9bdd6d2
 SHA512 
b1a0db1d3624ffc86eb41b49f76a4afe3737d943b6465a1b66a2aed18524c463e52130f1d6fe27cd382f04633df327bba07254b6d4bfb300cdaeb51b608745f0

diff --git a/dev-python/oslo-db/oslo-db-4.33.1.ebuild 
b/dev-python/oslo-db/oslo-db-4.33.1.ebuild
deleted file mode 100644
index ace830db786..00000000000
--- a/dev-python/oslo-db/oslo-db-4.33.1.ebuild
+++ /dev/null
@@ -1,62 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
-
-inherit distutils-r1
-
-DESCRIPTION="OpenStack Common DB Code"
-HOMEPAGE="https://launchpad.net/oslo";
-SRC_URI="mirror://pypi/${PN:0:1}/oslo.db/oslo.db-${PV}.tar.gz"
-S="${WORKDIR}/oslo.db-${PV}"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 x86"
-IUSE="+sqlite mysql postgres"
-REQUIRED_USE="|| ( mysql postgres sqlite )"
-
-CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
-       !~dev-python/pbr-2.1.0[${PYTHON_USEDEP}]"
-DEPEND="
-       dev-python/setuptools[${PYTHON_USEDEP}]
-       ${CDEPEND}
-"
-RDEPEND="
-       ${CDEPEND}
-       >=dev-python/alembic-0.8.10[${PYTHON_USEDEP}]
-       >=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
-       >=dev-python/oslo-config-5.1.0[${PYTHON_USEDEP}]
-       >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
-       sqlite? (
-               >=dev-python/sqlalchemy-1.0.10[sqlite,${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.5[sqlite,${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.6[sqlite,${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.7[sqlite,${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.8[sqlite,${PYTHON_USEDEP}]
-       )
-       mysql? (
-               || (
-                       dev-python/pymysql[${PYTHON_USEDEP}]
-                       dev-python/mysql-python[$(python_gen_usedep 
'python2_7')]
-               )
-               >=dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.5[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.6[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.7[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.8[${PYTHON_USEDEP}]
-       )
-       postgres? (
-               dev-python/psycopg:2[${PYTHON_USEDEP}]
-               >=dev-python/sqlalchemy-1.0.10[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.5[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.6[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.7[${PYTHON_USEDEP}]
-               !~dev-python/sqlalchemy-1.1.8[${PYTHON_USEDEP}]
-       )
-       >=dev-python/sqlalchemy-migrate-0.11.0[${PYTHON_USEDEP}]
-       >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
-       >=dev-python/six-1.10.0[${PYTHON_USEDEP}]
-"

Reply via email to